' test06.bas

' test of: ShowDlg ...

#include "fbvideoclass.bi"

Sub MyImageProc(Byval Image As Any Ptr)
  static as integer frame=0
  frame +=1
  draw string Image,(0,0),"frame: " & frame
  Put (0,0),Image,Pset
End Sub

Dim As VIDEOIN      Camera ' no auto mode
Dim As CAPTUREPARMS Params

Camera.Create
if Camera.IsCreated=false then
  print "error: Camera.Create !"
  beep : sleep : end 1
end if

Camera.Connect
if Camera.IsConnected=false then
  print "error: Camera.Connect !"
  beep : sleep : end 1
end if

' select one of your connected capture devices
Camera.ShowDlgVideoSource
' select an supported videoformat
'(RGB24, I420, YV12, IYUV, YUV2, YYY2)
Camera.ShowDlgVideoFormat

' get curent settings
Camera.GetParams Params

' optional set/overwrite frames per second
Params.dwRequestMicroSecPerFrame=1000000\30

' disable audio capturing
Params.fCaptureAudio   = False
' enable yield callback (FreeBASIC message pump)
Params.fYield          = True
' disable mouse abort
Params.fAbortLeftMouse = False
Params.fAbortRightMouse= False

' set new settings
Camera.SetParams Params

' optinal: use no codec select uncompressed RGB format 
'Camera.ShowDlgVideoCompression

' use the selected format and dimesion
ScreenRes Camera.Width,Camera.Height,32
' set the image callback
Camera.SetImageProc(@MyImageProc)
' begin recording
WindowTitle "recording until any key pressed ..."
Camera.Start
' wait on any key...
Sleep
' stop recording
Camera.Stop
' free the cam port (TV-card or USB device)
Camera.Disconnect
' free all resources
Camera.Destroy
' good bye :-)
