' test07.bas

' test of: multply cameras

#include "fbvideoclass.bi"

Sub MyImageProc1(Byval Image As Any Ptr)
  Put (0,0),Image,Pset
End Sub

Sub MyImageProc2(Byval Image As Any Ptr)
  Put (100,100),Image,Pset
End Sub

Sub MyImageProc3(Byval Image As Any Ptr)
  Put (200,200),Image,Pset
End Sub

Dim As VIDEOIN      Cam1,Cam2,Cam3
Dim As CAPTUREPARMS Params

Cam1.Create
if Cam1.IsCreated=false then
  print "error: Cam1.Create !"
  beep : sleep : end 1
end if

Cam1.Connect
if Cam1.IsConnected=false then
  print "error: Cam1.Connect !"
  beep : sleep : end 1
end if

' get curent settings
Cam1.GetParams Params
Params.dwRequestMicroSecPerFrame=1000000\15
Params.fCaptureAudio   = False
Params.fYield          = True
Params.fAbortLeftMouse = False
Params.fAbortRightMouse= False
Cam1.SetParams Params

Cam2.Create
if Cam2.IsCreated=false then
  print "error: Cam2.Create !"
  beep : sleep : end 1
end if

Cam1.Connect
if Cam2.IsConnected=false then
  print "error: Cam2.Connect !"
  beep : sleep : end 1
end if
Cam2.GetParams Params
Params.dwRequestMicroSecPerFrame=1000000\15
Params.fCaptureAudio   = False
Params.fYield          = True
Params.fAbortLeftMouse = False
Params.fAbortRightMouse= False
Cam2.SetParams Params

Cam3.Create
if Cam3.IsCreated=false then
  print "error: Cam3.Create !"
  beep : sleep : end 1
end if

Cam1.Connect
if Cam3.IsConnected=false then
  print "error: Cam3.Connect !"
  beep : sleep : end 1
end if
Cam3.GetParams Params
Params.dwRequestMicroSecPerFrame=1000000\15
Params.fCaptureAudio   = False
Params.fYield          = True
Params.fAbortLeftMouse = False
Params.fAbortRightMouse= False
Cam3.SetParams Params

' select one of your connected capture devices
Cam1.ShowDlgVideoSource
Cam1.ShowDlgVideoFormat

Cam2.ShowDlgVideoSource
Cam2.ShowDlgVideoFormat

Cam3.ShowDlgVideoSource
Cam3.ShowDlgVideoFormat


dim as integer w,h
screeninfo w,h
ScreenRes w,h,32
' set the image callback
Cam1.SetImageProc(@MyImageProc1)
Cam2.SetImageProc(@MyImageProc2)
Cam3.SetImageProc(@MyImageProc3)

' begin recording
WindowTitle "recording until any key pressed ..."
Cam1.Start
Cam2.Start
Cam3.Start
' wait on any key...
Sleep
' stop recording
Cam1.Stop
Cam2.Stop
Cam3.Stop

Cam1.Disconnect
Cam2.Disconnect
Cam3.Disconnect

Cam1.Destroy
Cam2.Destroy
Cam3.Destroy

