 ' test04.bas
' test of:  Get/Set Params
'           SetVideoStreamProc

#include "fbvideoclass.bi"

function MyVideoStreamProc(byval hWin as HWND, byval pHeader as PVIDEOHDR) as LRESULT
  static as integer frame
  frame+=1:locate 2,1
  ? "frame [ " & frame & "]"
  return true
end function

dim as VIDEOIN      Camera ' auto mode off 
dim as CAPTUREPARMS Params

Camera.Create
Camera.Connect

' get curent settings
Camera.GetParams Params
' set / overwrite frames per second
Params.dwRequestMicroSecPerFrame = 1000000\15
' disable audio capturing
Params.fCaptureAudio = false
' set new settings
Camera.SetParams(Params)
' set the callback
Camera.SetVideoStreamProc(@MyVideoStreamProc)

print "click or press a key in the active console window ..."
' start recording
Camera.Start
print "stop"
Camera.Stop
print "disconnect"
Camera.Disconnect
print "destroy"
Camera.Destroy
print "bye :-)"
