' test05.bas
#include "fbvideoclass.bi"

' use all callbacks

' SetStatusProc
' SetErrorProc
' SetControlProc
' SetYieldProc
' SetVideoStreamProc
' SetAudioStreamProc

Function MyStatusProc ( _
  Byval hWin     As HWND, _
  Byval StatusID As long, _
  Byval pText    As Zstring Ptr) As LRESULT
  static as integer n,y=12
  if len(*pText) then
    n+=1:locate y,1
    ? "status: [" & str(n) & "] id=" & str(StatusID) & " " & *pText
    y+=1:if y=26 then y=12
  end if
  
  Return True
End Function

Function MyErrorProc ( _
  Byval hWin  As HWND, _
  Byval nID   As long, _
  Byval pText As Zstring Ptr) As LRESULT
  static as integer n
  if len(*pText) then
    n+=1:locate 1,1
    ? "error: [" & str(n) & "] " & *pText
  end if
  Return True
End Function

Function MyControlProc ( _
  Byval hWin  As HWND, _
  Byval State As long) As LRESULT
  static as integer n
  n+=1:locate 3,1
  ? "control [" & str(n) & "] " & str(State)
  Return True
End Function

Function MyYieldProc ( _
  Byval hWin As HWND) As LRESULT
  static as integer n
  n+=1:locate 5,1
  ? "yield [" & str(n) & "]"
  Return True
End Function

Function MyVideoStreamProc ( _
  Byval hWin      As HWND, _
  Byval pHeader   As PVIDEOHDR) As LRESULT
  static as integer n
  n+=1:locate 7,1
  ? "video frame [" & str(n) & "]"
  Return True
End Function

Function MyAudioStreamProc ( _
  Byval hWin       As HWND, _
  Byval lpHeader   As LPWAVEHDR) As LRESULT
  static as integer n
  n+=1:locate 9,1
  ? "audio frame [" & str(n) & "]"
  Return True
End Function

'
' main
'
Dim As CAPTUREPARMS Params
Dim As VIDEOIN      Camera

Camera.Create
Camera.Connect

Camera.SetStatusProc     (@MyStatusProc)
Camera.SetErrorProc      (@MyErrorProc)
Camera.SetControlProc    (@MyControlProc)
Camera.SetYieldProc      (@MyYieldProc)
Camera.SetVideoStreamProc(@MyVideoStreamProc)
Camera.SetAudioStreamProc(@MyAudioStreamProc)

' get curent settings
Camera.GetParams Params

' set/overwrite 15 frames per second
Params.dwRequestMicroSecPerFrame=1000000\15

' disable audio callback
Params.fCaptureAudio    = false

' enable yield  callback
Params.fYield           = true
Params.fAbortLeftMouse  = false
Params.fAbortRightMouse = false
' set new settings
Camera.SetParams Params

Camera.Start
while inkey()=""
  sleep 10
wend

Camera.Stop
Camera.Disconnect
Camera.Destroy

